Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232681 - test bug
Summary: test bug
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: devel
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Chris Weyl
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 16:29 UTC by Chris Weyl
Modified: 2007-05-02 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 21:00:35 UTC


Attachments (Terms of Use)

Description Chris Weyl 2007-03-16 16:29:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Chris Weyl 2007-03-16 16:45:33 UTC
comment A

Comment 2 Chris Weyl 2007-03-16 16:46:48 UTC
comment A

Comment 3 Chris Weyl 2007-03-16 16:46:50 UTC
comment B

Comment 4 Chris Weyl 2007-03-16 16:47:39 UTC
comment A

Comment 5 Chris Weyl 2007-03-16 16:47:40 UTC
comment B

Comment 6 Chris Weyl 2007-03-16 16:52:21 UTC
comment A

Comment 7 Chris Weyl 2007-03-16 16:52:32 UTC
comment B

Comment 8 Chris Weyl 2007-03-16 16:53:04 UTC
comment A

Comment 9 Chris Weyl 2007-03-16 16:53:05 UTC
comment B

Comment 10 Chris Weyl 2007-03-16 16:55:08 UTC
comment A

Comment 11 Chris Weyl 2007-03-16 16:55:09 UTC
comment B

Comment 12 Chris Weyl 2007-03-16 16:55:19 UTC
comment A

Comment 13 Chris Weyl 2007-03-16 16:55:20 UTC
comment B

Comment 14 Chris Weyl 2007-03-16 17:25:35 UTC
New Package CVS Request
=======================
Package Name: perl-DBD-Mock
Short Description: Mock database driver for testing
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 15 Chris Weyl 2007-03-17 03:19:08 UTC
The construct:

%if "%fedora" >= "7"
BuildRequires:  perl-devel
%endif

Is highly non-portable, and indeed, causes the package to fail to rebuild even
on Fedora machines if %fedora hasn't been defined somewhere.  With the
still-being-worked-through perl/perl-devel split, the preferred (well, to me
at least) and, more importantly, portable way of pulling in perl-devel is to
have a buildrequires on the module used to handle the build.  In this case,
we're in a standard Makefile.PL situation, so adding a buildrequires against
perl(ExtUtils::MakeMaker) will be both portable and cause perl-devel to be
pulled in.

Replace the conditional with a BuildRequires: perl(ExtUtils::MakeMaker) and
I'll approve the package.


+ source files match upstream:
a4fe8e71f0082e51d5d97da865b6a708  Class-Observable-1.04.tar.gz
a4fe8e71f0082e51d5d97da865b6a708  ../Class-Observable-1.04.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream. 
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
O noarch -- no debuginfo package
+ rpmlint is silent.
+ final provides and requires are sane:
== provides
perl(Class::Observable)  
perl-Class-Observable = 1.04-1.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(Class::ISA)  
perl(Scalar::Util)  
perl(strict)  
+ %check is present and all tests pass:
All tests successful.
Files=2, Tests=39,  0 wallclock secs ( 0.10 cusr +  0.04 csys =  0.14 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 16 Chris Weyl 2007-03-21 05:07:28 UTC
New Package CVS Request
=======================
Package Name: perl-Net-CUPS
Short Description: Perl bindings to the CUPS C API Interface
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 17 Chris Weyl 2007-03-23 14:59:10 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp-0.01-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp.spec

Description:
This module exports four functions, of which two override the standard
die() and warn() functions, and two which allow for extended error
reporting. When called, these functions display a user-friendly message
dialog window.
New spec/srpm posted.

Comment 18 Chris Weyl 2007-03-23 14:59:25 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp-0.01-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp.spec

Description:
This module exports four functions, of which two override the standard
die() and warn() functions, and two which allow for extended error
reporting. When called, these functions display a user-friendly message
dialog window.
New spec/srpm posted.

Comment 19 Chris Weyl 2007-03-23 15:00:26 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp-0.01-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp.spec

Description:
This module exports four functions, of which two override the standard
die() and warn() functions, and two which allow for extended error
reporting. When called, these functions display a user-friendly message
dialog window.
New spec/srpm posted.

Comment 20 Chris Weyl 2007-03-26 15:23:56 UTC
New Package CVS Request
=======================
Package Name: perl-Gtk2-Ex-Carp
Short Description: GTK+ friendly die() and warn() functions
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 21 Chris Weyl 2007-04-08 18:16:43 UTC
There is a contrib directory -- but as it's a source patch, it's probably not
something to stick in %doc.  Not that it is, I'm just saying. :)

+ source files match upstream:
c5c7ed7b859d6d74575dd9facd82e2a1  vblade-14.tgz
c5c7ed7b859d6d74575dd9facd82e2a1  rpms/vblade/vblade-14.tgz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. (GPL) License text included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate (as tweaked :) )
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
** vblade-14-2.fc6.x86_64.rpm
== rpmlint
== provides
config(vblade) = 14-2.fc6
vblade = 14-2.fc6
== requires
/bin/sh  
/sbin/chkconfig  
/sbin/service  
config(vblade) = 14-2.fc6
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
rtld(GNU_HASH)  
** vblade-debuginfo-14-2.fc6.x86_64.rpm
== rpmlint
== provides
vblade-debuginfo = 14-2.fc6
== requires
O no %check -- but no tests either.
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scriptlets look sane.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 22 David Lawrence 2007-05-01 21:00:35 UTC
Cleaning house. Closing.


Note You need to log in before you can comment on or make changes to this bug.